import { Message } from 'eris';
import { Command } from '../class';
import { Client } from '..';

export default class SetLimit extends Command {
  constructor(client: Client) {
    super(client);
    this.name = 'setlimit';
    this.description = 'Sets resource limits for the various tiers';
    this.usage = `Run ${this.client.config.prefix}${this.name} [subcommand] for usage information`;
    this.permissions = { roles: ['662163685439045632'] };
    this.subcmds = [];
    this.enabled = true;
  }

  public async run(message: Message) {
    try {
      return this.client.commands.get('help').run(message, [this.name]);
    } catch (error) {
      return this.client.util.handleError(error, message, this);
    }
  }
}
